
Redmine - Feature #1738

Add a "Visible" flag to project/user custom fields

2008-08-03 23:14 - Mischa The Evil

Status: Closed Start date: 2008-08-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.50 hour

Target version: 1.1.0   

Resolution: Fixed   

Description

This is taken from this forum-thread. The forum-thread never became a "official feature request". So hereby...

This request is related to some plugins (like redmine_tab and google_calendar) which uses custom fields on project level to get input

for their extension (like tabname and iframe-code). This info shouldn't be displayed on the project's overview page.

Therefore it would be great to add a flag to the project custom fields which provides an option to hide the project custom-field in the

project's overview page.

There is a way to workaround it like Eric Davis states in the forum-thread though this needs refactoring of those affected plugins.

Related issues:

Related to Redmine - Feature #4298: An "internal" option for custom fields Closed 2009-11-27

Related to Redmine - Patch #1746: Patch for #1738; Add a "Hide on overview ta... Closed 2008-08-05

Associated revisions

Revision 4382 - 2010-11-07 15:15 - Jean-Philippe Lang

Adds a "visible" option on User and Project custom fields (#1738).

If set to false, the custom field won't be display on user profile/project overview.

History

#1 - 2008-08-05 04:56 - Mischa The Evil

Quick and dirty patch for this change provided in #1746.

#2 - 2009-02-27 20:46 - Rafi Greenberg

Mischa The Evil wrote:

Quick and dirty patch for this change provided in #1746.

 I can't get this patch to work, and I'd really like to get this working.

Can anyone help, please?

Thanks,

Rafi

#3 - 2009-03-29 22:06 - Mischa The Evil

Rafi Greenberg wrote:

Mischa The Evil wrote:

Quick and dirty patch for this change provided in #1746.

 I can't get this patch to work, and I'd really like to get this working.

Can anyone help, please?

 Rafi, I've just updated patch #1746 against the trunk at r2641... Plz check if it solves your issues with the patch...

#4 - 2010-11-07 15:12 - Jean-Philippe Lang

2025-08-23 1/2

http://www.redmine.org/boards/1/topics/show/60
https://www.redmine.org/issues/1746
https://www.redmine.org/issues/1746
https://www.redmine.org/issues/1746
https://www.redmine.org/issues/1746
https://www.redmine.org/projects/redmine/repository/svn/revisions/2641


- Subject changed from Add a "Hide on overview tab" flag to project custom fields to Add a "Visible" flag to project/user custom fields

- Status changed from New to Closed

- Target version set to 1.1.0

- Resolution set to Fixed

Feature added in r4382 for user and project custom fields.

The flag is named "visible" and is set to true by default.

#5 - 2013-10-01 15:58 - Toshi MARUYAMA

- Related to Patch #1746: Patch for #1738; Add a "Hide on overview tab" flag to project custom fields added
